Subject: Re: PATCH: netpbm/pbmplus 16 bit raw files

From: [email-masked] (Ian Jackson)
Date: 25 Jul 1994 13:33:46 GMT

In article <[email-masked]>,
David Clunie <[email-masked]> wrote:
>Raw 16 bit read/write patch for pbmplus.10dec91 and netpbm-13oct93.
>
>[...]
>I also had to define a byte order convention, so I chose little endian
>arbitrarily. This is not selfish performance seeking as most of my machines
>are big endian anyway !

Why did you choose it, if I may ask ?

Almost all Unix systems have the htons/ntohs/htonl/ntohl byte-order
conversion macros that mean that you don't have to write the tedious
stuff yourself.

Note that here `h' stands for `host' byte order and `n' for `network'.
The standard byte order on the Internet for use in packet headers and
so forth is big endian.

PS: I have removed "Distribution: world" from the header.
--
Ian Jackson  [email-masked]   Escoerea on IRC   These opinions are my own.
Cambridge University Computer Laboratory, New Museums Site.  + 44 223 334676
Home: [email-masked]    2 Lexington Close, CB4 3LS.  + 44 223 575512
PGP2 public key available.              http://www.cl.cam.ac.uk/users/iwj10/